## sawfish-1.6.1.tar.bz2

=== sounds/Makefile ===
# Makefile.in for sawmill's sound files
# $Id: Makefile.in,v 1.3 2000/07/06 13:30:07 john Exp $
#
# Copyright (C) 2000 John Harper <john@dcs.warwick.ac.uk>
#
# This file is part of sawmill.
#
# sawmill is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# sawmill is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with sawmill; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

include ../Makedefs

top_builddir=..
top_srcdir=..
srcdir=.
VPATH=..

sitesoundsdir := ${sawfishdir}/sounds
soundsdir := ${sawfishdir}/${version}/sounds

all :

install : all installdirs
	for f in $(srcdir)/*.wav; do \
	  $(INSTALL_DATA) $$f $(DESTDIR)$(soundsdir); \
	done

installdirs : mkinstalldirs
	$(SHELL) $< $(DESTDIR)$(soundsdir) $(DESTDIR)$(sitesoundsdir)

uninstall :
	rm -rf $(DESTDIR)$(soundsdir)

clean :
	rm -f *~ core

distclean : gitclean

gitlean : clean
	rm -f Makefile

.PHONY : all install uninstall clean gitclean
