=== debian/changelog ===
sawfish (1:1.6.1-1nano) unstable; urgency=low

  * New upstream GIT

 -- Christopher Roy Bratusek <zanghar@freenet.de>  Sat, 24 Oct 2009 22:55:17 +0100
